Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 366)
@@ -3631,7 +3631,7 @@
                 strSQL.AppendFormat(" OR DATE('{0}') = DATE(B.CompDate)))", DateTime.MinValue.ToShortDateString());
 
                 strSQL.AppendFormat(" AND A.PersonCode = {0}", nPersonCode);
-                strSQL.Append(" Order By B.ComplateDate desc");
+                strSQL.Append(" Order By B.CompDate desc");
             }
             catch (Exception ex)
             {
@@ -3754,8 +3754,64 @@
         }
         #endregion
 
+        #region ベースコントロールコレクションよりボタン取得
+        /// <summary>
+        /// ベースコントロールコレクションよりボタン取得
+        /// </summary>
+        public static Button GetButtton2Collection(Control.ControlCollection BasePnl, string ButtonName)
+        {
+            Button buttonRet = null;
+            try
+            {
+                foreach (Control CurCtrl in BasePnl)
+                {
+                    // 申請ボタン取得
+                    if (CurCtrl.Name.Equals(ButtonName))
+                    {
+                        buttonRet = (Button)CurCtrl;
+                        break;
+                    }
+                }
+                return buttonRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return buttonRet;
+            }
+        }
         #endregion
 
+        #region 申請パネルより承認数ラベル取得
+        /// <summary>
+        /// 申請パネルより承認数ラベル取得
+        /// </summary>
+        public static Label GetLabel2Collection(Control.ControlCollection BasePnl, string LabelName)
+        {
+            Label LabelRet = null;
+            try
+            {
+                foreach (Control CurCtrl in BasePnl)
+                {
+                    // 申請ボタン取得
+                    if (CurCtrl.Name.Equals(LabelName))
+                    {
+                        LabelRet = (Label)CurCtrl;
+                        break;
+                    }
+                }
+                return LabelRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return LabelRet;
+            }
+        }
+        #endregion
+
+        #endregion
+
         #region ---------- Excel向け操作メソッド
         #region オブジェクト開放
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 366)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 220;
+        public static int s_SystemVersion = 224;
 
         /// <summary>
         /// コピー・環境バージョン
